/*
 * test 4
 *	delete a record by serial number key
 *
 *	@(#)test_04.c	1.1	08:09:19	1/24/92
 */

#include <sys/types.h>
#include <stdio.h>
#include <fcntl.h>
#include "is_types.h"

main (argc, argv)
int	argc;
char	**argv;
{
	char	buf[BUFSIZ];
	int	filenum;
	long	record;
	dbm_t	*dbm;

	if (argc != 5) {
		fprintf (stderr, "usage: test database file index value\n");
		exit (1);
	}
	if (! (dbm = db_open (argv[1], O_RDWR))) {
		fprintf (stderr, "cannot open database `%s'\n", argv[1]);
		exit (1);
	}
	if ((filenum = db_open_file (dbm, argv[2])) == -1) {
		fprintf (stderr, "cannot open file `%s'\n", argv[2]);
		exit (1);
	}
	if (db_open_index (dbm, filenum, argv[3]) == -1) {
		fprintf (stderr, "cannot open index `%s'\n", argv[3]);
		exit (1);
	}
	record = atol (argv[4]);

	if (db_read_record (dbm, filenum, &record, IS_EQUAL)) {
		fprintf (stderr, "cannot read record %d\n", record);
		exit (1);
	}
	if (db_delete_record (dbm, filenum)) {
		fprintf (stderr, "cannot delete record %d\n", record);
		exit (1);
	}
	exit (0);
}
