#!/bin/sh
#
# Test 8
#	Check for serial field functions
#
#	@(#)test_08.sh	1.2	09:33:43	3/30/92
#
rm -f test[0-9].dat test[0-9].idx test.out
set -e
RC=1

trap 'rm -f test.out test.sch test_06.o test_06 test[0-9].dat test[0-9].idx ; exit $RC' 0 1 2 15

DBPATH=. ; export DBPATH

#
# create a schema containing a serial field
#

cat > test.sch << EOF
database test0

file test1

field value type serial
field record type int

end
EOF

./dbschema test.sch

#
# get the schema for the new database, and make certain it is correct
#

./dbshow test0 > test.out
cmp - test.out << EOF
database test0

file test1

field	value	type	serial
field	record	type	int

end
EOF

#
# load some values into the file
#

./dbload test0 test1 << EOF
1|1
1|2
1|3
1|4
1|5
1|6
1|7
1|8
1|8
1|10
EOF

#
# check for serial field uniqueness
#

./dbunload test0 test1 > test.out
cmp - test.out << EOF
1|1
2|2
3|3
4|4
5|5
6|6
7|7
8|8
9|8
10|10
EOF

#
# create a schema containing two serial fields
#

cat > test.sch << EOF
database test0

file test2

field value type serial
field record type serial

end
EOF

echo 'Expect 2 error messages'
if ./dbschema test.sch; then
	exit $RC
fi

#
# get the schema for the database, and make certain it is still correct
#

./dbshow test0 > test.out
cmp - test.out << EOF
database test0

file test1

field	value	type	serial
field	record	type	int

end
EOF

#
# everything is OK, exit
#
RC=0
